lucy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marvin Humphrey <mar...@rectangular.com>
Subject Re: [lucy-dev] Failed: PAUSE indexer report KARMAN/Lucy-0.3.0.tar.gz
Date Fri, 02 Mar 2012 02:15:43 GMT
On Thu, Mar 01, 2012 at 05:18:35PM -0800, David E. Wheeler wrote:
> > Module::Build is having problems reading lib/Lucy/Store/RAMFile.pm.  Here is
> > that file's contents, minus comments:
> > 
> >    package Lucy::Store::RAMFile;
> >    use Lucy; our $VERSION = $Lucy::VERSION;
> > 
> >    1;
> > 
> > Error message below.  Note that the build actually completes; it just
> > complains loudly.
> 
> And it’s doing that when trying to build the MYMETA.json files?
 
Yes.

> In that case, I say use constant version declarations in each file have have
> your versioning script update them all.

I'm OK with this approach -- provided we also do the following during "./Build
dist":

  * Require Module::Build 0.38.
  * Verify the version numbers for every module specified under "provides"
    in META.json.

We should open a ticket and schedule this for both 0.3.1 and 0.4.0.

Marvin Humphrey


Mime
View raw message